Create an audience list
curl --request POST \
--url https://app.lettr.com/api/audience/lists \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Newsletter subscribers"
}
'import requests
url = "https://app.lettr.com/api/audience/lists"
payload = { "name": "Newsletter subscribers" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'Newsletter subscribers'})
};
fetch('https://app.lettr.com/api/audience/lists', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "List retrieved successfully.",
"data": {
"id": "0193e6a8-1f3a-7c2a-b9e2-1aa1d2e5d3f0",
"name": "Newsletter subscribers",
"contacts_count": 124
}
}Audience Lists
Create an audience list
Create a new audience list. The name must be unique within the team. Requires the audience:write scope and is blocked for sandbox API keys.
POST
/
audience
/
lists
Create an audience list
Create a new audience list. The name must be unique within the team. Requires the
audience:write scope and is blocked for sandbox API keys.Authorizations
API key for authentication
Body
application/json
Request to create an audience list
List name (must be unique within the team)
Maximum string length:
255Example:
"Newsletter subscribers"
Was this page helpful?
⌘I